## com.crystaldecisions.report.htmlrender
Class BeforeRenderEvent

    java.lang.Object
      RenderEventObjectBase
          com.crystaldecisions.report.htmlrender.BeforeRenderEvent

public class BeforeRenderEvent
extends RenderEventObjectBase

This class provides arguments for the `BeforeRenderEventListener`. The event occurs when the report rendering process starts.

See Also:
  Serialized Form

Constructor Summary
`BeforeRenderEvent(java.lang.Object source)`

Method Summary
`java.lang.String` | `getAddAtBeginning()` Returns the text that will be written after the `<HTML>` tag but before the `<BODY>` tag, if there is one.
`boolean` | `getNeedRenderHTMLTag()` Returns whether to render the `<HTML>` tag.
`void` | `setAddAtBeginning(java.lang.String value)` Sets the text that will be written after the `<HTML>` tag but before the `<BODY>` tag, if there is one.
`void` | `setNeedRenderHTMLTag(boolean value)` Sets whether the `<HTML>` tag will be rendered.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeforeRenderEvent

    public BeforeRenderEvent(java.lang.Object source)

Method Detail

### getAddAtBeginning

    public java.lang.String getAddAtBeginning()

  Returns the text that will be written after the `<HTML>` tag but before the `<BODY>` tag, if there is one.

  Returns:
    The text that will be written as a `String`.
  See Also:
    `setAddAtBeginning`

### getNeedRenderHTMLTag

    public boolean getNeedRenderHTMLTag()

  Returns whether to render the `<HTML>` tag.

  Returns:
    `true` if the `<HTML>` tag is to be rendered and `false` otherwise.
  See Also:
    `setNeedRenderHTMLTag`

### setAddAtBeginning

    public void setAddAtBeginning(java.lang.String value)

  Sets the text that will be written after the `<HTML>` tag but before the `<BODY>` tag, if there is one.

  Parameters:
    `value` - A `String` that specifies the text that will be written.
  See Also:
    `getAddAtBeginning`

### setNeedRenderHTMLTag

    public void setNeedRenderHTMLTag(boolean value)

  Sets whether the `<HTML>` tag will be rendered.

  Parameters:
    `value` - `true` to render the `<HTML>` tag.
  See Also:
    `getNeedRenderHTMLTag`